Delete Destination
Deletes an existing destination. This action is irreversible. Deleting a destination that is already deleted succeeds with the same response (idempotent).
/destinations/{destinationId}This endpoint permanently deletes an event destination.
Deletion is irreversible. If you need to temporarily stop event delivery, consider using the Update Destination endpoint to set the destination status to DISABLED instead.
- Call this endpoint with the destination's ID.
- Stedi deletes the destination and stops delivering events to it.
A Stedi API Key for authentication. Supports both test and production API keys.
Path Parameters
^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The unique identifier for the destination. You can retrieve destination IDs with the List Destinations endpoint.
Headers
A unique string to identify this request to the server. If not set, Stedi generates one automatically.
The key can be up to 255 characters. You can safely retry requests with the same idempotency key within 24 hours of making the first request. This prevents duplicate operations due to network errors or other intermittent failures. Learn more.
This endpoint returns no response body on success.
curl --request DELETE \ --url "https://events.us.stedi.com/2026-02-01/destinations/{destinationId}" \ --header "Idempotency-Key: c3d4e5f6-a7b8-9012-cdef-123456789012" \ --header "Authorization: <api_key>"